(function($) {
    function getPageContent (section) {
        $.ajax({
            url: 'index.php',
            method: 'POST',
            datatype: 'JSON',
            data: {
                section: section,
            },
            success: function (data) {
                if ( data.status == 200 ) {
                    $('#page-title').html(data.pageTitle + " | Bryan Pedini");
                    $('#user-content').html(data.html);
                }
                else {
                    console.log("[" + data.status + "] " + data.errorCode + ": " + data.errorText);
                }
            },
            error: function (jqXHR, exception) {
                console.log(jqXHR.status + ": " +  jqXHR.responseText + " | - | " + exception);
            },
        });
    }
    $(function() {
        $('#navbar-home').on('click', function () { getPageContent (1) } );
        $('#navbar-description').on('click', function () { getPageContent (2) });
        $('#navbar-work').on('click', function () { getPageContent (3) });
        $('#navbar-ideas').on('click', function () { getPageContent (4) });
        $('#navbar-contact-form').on('click', function () { getPageContent (5) });
        $('#navbar-contact-email').on('click', function () { window.location.href = "mailto:bryanpedini@bryanpedini.it"; });
        $('ul.nav li.dropdown').hover(function() {
            $(this).find('.dropdown-menu').stop(true, true).fadeIn(500);
        }, function() {
            $(this).find('.dropdown-menu').stop(true, true).fadeOut(500);
        });
        getPageContent(0);
    });
})(jQuery);